POST/shoprealtime

Create Shoprealtime

This API call triggers a real-time RateShop execution to retrieve rates within 40 seconds based on the configuration defined during RateShop setup. The only mandatory parameter is the RateShop ID. While all request parameters such as horizon, hotel code, source code, and comp sets can be pre configured during RateShop creation, they can also be overridden at runtime if needed.

queueid - A unique ID generated upon successful execution of the RateShop, used to retrieve rate data via the POST/realtimeratesbyqueue/{queueid}.

Limitations - Only one source is allowed per request (currently supported: Booking.com); the maximum call count is 150 per shop and 300 per user per minute, with a success rate of 95%.
POST/shoprealtime

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
429Too Many RequestsYou have exceeded your access limitNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /shoprealtime \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "rateshopid": 0,
  "startdate": "2019-08-24",
  "horizon": 0,
  "horizonexpression": "string",
  "sources": 0,
  "hotelcodes": [0],
  "compsets": [
    {
      "hotelcode": 0,
      "competitorhotelcodes": [0]
    }
  ]
}

Example responses

200 Response
{
  "queueid": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.